summaryrefslogtreecommitdiff
path: root/dev-python/construct/construct-2.10.56.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/construct/construct-2.10.56.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/construct/construct-2.10.56.ebuild')
-rw-r--r--dev-python/construct/construct-2.10.56.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/construct/construct-2.10.56.ebuild b/dev-python/construct/construct-2.10.56.ebuild
new file mode 100644
index 000000000000..3a485cc76365
--- /dev/null
+++ b/dev-python/construct/construct-2.10.56.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A powerful declarative parser for binary data"
+HOMEPAGE="https://construct.readthedocs.io/en/latest/ https://pypi.org/project/construct/"
+SRC_URI="https://github.com/construct/construct/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
+BDEPEND+="
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.15.4[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ )"
+
+src_prepare() {
+ default
+ rm tests/test_benchmarks.py || die
+}
+
+pkg_postinst() {
+ ewarn "Version 2.10.x has significant API and implementation changes from"
+ ewarn "previous 2.9.x releases. Please read the documentation at"
+ ewarn "https://construct.readthedocs.io/en/latest/transition210.html"
+ ewarn "for more info."
+}